GAE: Unsupported SSL context options are set

If you are running a PHP application and receiving the following error:-

Unsupported SSL context options are set. The following options are present, but have been ignored: allow_self_signed, cafile

This is more likely that you are tyring to run curl commands on Google App Engine standard environment, because this usually does not happen on flexible environment. To solve this, simply add “php.ini” in your app directory and add the following in it:-

extension = "curl.so"

 

Leave a Reply

Your email address will not be published. Required fields are marked *